if(!Tonyu.load)Tonyu.load=(_,f)=>f();
Tonyu.load({"compiler":{"namespace":"user","defaultSuperClass":"kernel.Actor","dependingProjects":[{"namespace":"kernel"}]},"run":{"mainClass":"user.Main","bootClass":"kernel.Boot","globals":{"$defaultFPS":60,"$imageSmoothingDisabled":true,"$soundLoadAndDecode":false}},"plugins":{"jquery_ui":1},"kernelEditable":false,"language":"tonyu","version":1696900792111}, ()=>{
Tonyu.klass.define({
  fullName: 'user.DateManager',
  shortName: 'DateManager',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_DateManager_main() {
        var _this=this;
        
        while (true) {
          Tonyu.checkLoop();
          _this.now=new Date();
          _this.year=_this.now.getFullYear();
          _this.month=_this.now.getMonth();
          _this.day=_this.now.getDate();
          _this.hours=_this.now.getHours();
          _this.minutes=_this.now.getMinutes();
          _this.time=[_this.year,'/',_this.padded(_this.month,2,0),'/',_this.padded(_this.day,2,0),' ',_this.padded(_this.hours,2,0),':',_this.padded(_this.minutes,2,0)].join('');
          _this.update();
          
        }
      },
      fiber$main :function* _trc_DateManager_f_main(_thread) {
        var _this=this;
        
        while (true) {
          yield null;
          _this.now=new Date();
          _this.year=_this.now.getFullYear();
          _this.month=_this.now.getMonth();
          _this.day=_this.now.getDate();
          _this.hours=_this.now.getHours();
          _this.minutes=_this.now.getMinutes();
          _this.time=[_this.year,'/',_this.padded(_this.month,2,0),'/',_this.padded(_this.day,2,0),' ',_this.padded(_this.hours,2,0),':',_this.padded(_this.minutes,2,0)].join('');
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      padded :function _trc_DateManager_padded(text,padding,fill) {
        var _this=this;
        
        return String(text).padStart(padding,fill);
      },
      fiber$padded :function* _trc_DateManager_f_padded(_thread,text,padding,fill) {
        var _this=this;
        
        return String(text).padStart(padding,fill);
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"padded":{"nowait":false,"isMain":false,"vtype":{"params":[null,null,null],"returnValue":null}}},"fields":{"now":{},"year":{},"month":{},"day":{},"hours":{},"minutes":{},"time":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Draw_Items',
  shortName: 'Draw_Items',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Draw_Items_main() {
        var _this=this;
        
        _this.ctx=Tonyu.globals.$panel.getContext();
      },
      fiber$main :function* _trc_Draw_Items_f_main(_thread) {
        var _this=this;
        
        _this.ctx=Tonyu.globals.$panel.getContext();
        
      },
      drawItems :function _trc_Draw_Items_drawItems(ctx) {
        var _this=this;
        
        _this.maxSold=0;
        _this.maxPrice=0;
        Object.keys(_this.data).forEach((function anonymous_123(key) {
          
          _this.comp={sold: _this.data[key].sold,price: _this.data[key].value*_this.data[key].sold};
          if (_this.comp.sold>_this.maxSold) {
            _this.no1.sold=[key];
            _this.maxSold=_this.comp.sold;
            
          } else {
            if (_this.comp.sold==_this.maxSold) {
              _this.no1.sold.push(key);
              
            }
          }
          if (_this.comp.price>_this.maxPrice) {
            _this.maxPrice=_this.comp.price;
            _this.no1.price=[key];
            
          } else {
            if (_this.comp.price==_this.maxPrice) {
              _this.no1.price.push(key);
              
            }
          }
        }));
        ctx.clearRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        ctx.fillStyle=_this.colors.main;
        ctx.font=[_this.fontSize.time,'px \'inherit\''].join('');
        ctx.textAlign='right';
        ctx.textBaseline='top';
        ctx.fillText([Tonyu.globals.$DateManager.time,' の販売状況'].join(''),Tonyu.globals.$screenWidth-_this.fontSize.time,_this.fontSize.time);
        _this.total={sold: 0,amount: 0,amount_tax: 0};
        Object.keys(_this.data).forEach((function anonymous_982(key,index) {
          
          _this.vy.name=_this.vy.offset+(_this.fontSize.name*2)*(index*2.5);
          _this.vy.price_tax=_this.vy.name+_this.fontSize.name*2;
          _this.vy.dash=_this.vy.price_tax+_this.fontSize.soldValue*1.5;
          _this.vy.button=_this.vy.name+_this.fontSize.name/2;
          _this.taxTimes=1+_this.data[key].tax/100;
          _this.total.sold+=_this.data[key].sold;
          _this.amount=_this.data[key].sold*_this.data[key].value;
          _this.total.amount+=_this.amount;
          _this.total.amount_tax+=_this.amount*_this.taxTimes;
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='top';
          ctx.fillText([_this.data[key].name,'：'].join(''),_this.vx.text,_this.vy.name);
          ctx.fillStyle=_this.colors[_this.no1.sold.includes(key)?'numNo1':'numMain'];
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='center';
          ctx.textBaseline='top';
          ctx.fillText([_this.data[key].sold].join(''),_this.vx.sold,_this.vy.name);
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.soldValue,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='top';
          ctx.fillText(['税込み売上(税抜き)：'].join(''),_this.vx.text,_this.vy.price_tax);
          ctx.textAlign='left';
          ctx.fillStyle=_this.colors[_this.no1.price.includes(key)?'numNo1':'numMain'];
          ctx.fillText([_this.formatCurrency(_this.amount*_this.taxTimes),'(',_this.formatCurrency(_this.amount),')円'].join(''),_this.vx.text,_this.vy.price_tax);
          ctx.fillStyle=_this.colors.button.shape;
          ctx.beginPath();
          ctx.arc(_this.vx.button.add,_this.vy.button,_this.fontSize.button/2,0,Math.PI*2);
          ctx.arc(_this.vx.button.subtract,_this.vy.button,_this.fontSize.button/2,0,Math.PI*2);
          ctx.fill();
          ctx.font=['bold ',_this.fontSize.button*0.8,'px "inherit"'].join('');
          ctx.textAlign='center';
          ctx.textBaseline='middle';
          ctx.fillStyle=_this.colors.button.operator;
          ctx.fillText('＋',_this.vx.button.add,_this.vy.button);
          ctx.fillText('ー',_this.vx.button.subtract,_this.vy.button);
          ctx.setLineDash([_this.dash,_this.dash/4]);
          ctx.lineWidth=2;
          ctx.strokeStyle='#55f';
          ctx.beginPath();
          ctx.moveTo(0,_this.vy.dash);
          ctx.lineTo(Tonyu.globals.$screenWidth,_this.vy.dash);
          ctx.stroke();
          ['add','subtract'].forEach((function anonymous_3367(ope) {
            
            if (Tonyu.globals.$touches[0].touched==1&&_this.abs(Tonyu.globals.$touches[0].x-_this.vx.button[ope])<=_this.fontSize.button/2&&_this.abs(Tonyu.globals.$touches[0].y-_this.vy.button)<=_this.fontSize.button/2) {
              _this.data[key].sold+=(ope=='add'?1:- 1);
              
            }
          }));
        }));
        {
          _this.vy.name=Tonyu.globals.$screenHeight-(_this.fontSize.soldValue+_this.fontSize.name);
          _this.vy.price_tax=Tonyu.globals.$screenHeight-_this.fontSize.soldValue;
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='bottom';
          ctx.fillText('合計数：',_this.vx.text,_this.vy.name);
          ctx.fillStyle=_this.colors.numMain;
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='center';
          ctx.fillText([_this.total.sold].join(''),_this.vx.sold,_this.vy.name);
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.soldValue,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='bottom';
          ctx.fillText(['税込み売上(税抜き)：'].join(''),_this.vx.text,_this.vy.price_tax);
          ctx.textAlign='left';
          ctx.fillStyle=_this.colors.numMain;
          ctx.fillText([_this.formatCurrency(_this.total.amount_tax),'(',_this.formatCurrency(_this.total.amount),')円'].join(''),_this.vx.text,_this.vy.price_tax);
        }
      },
      fiber$drawItems :function* _trc_Draw_Items_f_drawItems(_thread,ctx) {
        var _this=this;
        
        _this.maxSold=0;
        _this.maxPrice=0;
        Object.keys(_this.data).forEach((function anonymous_123(key) {
          
          _this.comp={sold: _this.data[key].sold,price: _this.data[key].value*_this.data[key].sold};
          if (_this.comp.sold>_this.maxSold) {
            _this.no1.sold=[key];
            _this.maxSold=_this.comp.sold;
            
          } else {
            if (_this.comp.sold==_this.maxSold) {
              _this.no1.sold.push(key);
              
            }
          }
          if (_this.comp.price>_this.maxPrice) {
            _this.maxPrice=_this.comp.price;
            _this.no1.price=[key];
            
          } else {
            if (_this.comp.price==_this.maxPrice) {
              _this.no1.price.push(key);
              
            }
          }
        }));
        ctx.clearRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        ctx.fillStyle=_this.colors.main;
        ctx.font=[_this.fontSize.time,'px \'inherit\''].join('');
        ctx.textAlign='right';
        ctx.textBaseline='top';
        ctx.fillText([Tonyu.globals.$DateManager.time,' の販売状況'].join(''),Tonyu.globals.$screenWidth-_this.fontSize.time,_this.fontSize.time);
        _this.total={sold: 0,amount: 0,amount_tax: 0};
        Object.keys(_this.data).forEach((function anonymous_982(key,index) {
          
          _this.vy.name=_this.vy.offset+(_this.fontSize.name*2)*(index*2.5);
          _this.vy.price_tax=_this.vy.name+_this.fontSize.name*2;
          _this.vy.dash=_this.vy.price_tax+_this.fontSize.soldValue*1.5;
          _this.vy.button=_this.vy.name+_this.fontSize.name/2;
          _this.taxTimes=1+_this.data[key].tax/100;
          _this.total.sold+=_this.data[key].sold;
          _this.amount=_this.data[key].sold*_this.data[key].value;
          _this.total.amount+=_this.amount;
          _this.total.amount_tax+=_this.amount*_this.taxTimes;
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='top';
          ctx.fillText([_this.data[key].name,'：'].join(''),_this.vx.text,_this.vy.name);
          ctx.fillStyle=_this.colors[_this.no1.sold.includes(key)?'numNo1':'numMain'];
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='center';
          ctx.textBaseline='top';
          ctx.fillText([_this.data[key].sold].join(''),_this.vx.sold,_this.vy.name);
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.soldValue,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='top';
          ctx.fillText(['税込み売上(税抜き)：'].join(''),_this.vx.text,_this.vy.price_tax);
          ctx.textAlign='left';
          ctx.fillStyle=_this.colors[_this.no1.price.includes(key)?'numNo1':'numMain'];
          ctx.fillText([_this.formatCurrency(_this.amount*_this.taxTimes),'(',_this.formatCurrency(_this.amount),')円'].join(''),_this.vx.text,_this.vy.price_tax);
          ctx.fillStyle=_this.colors.button.shape;
          ctx.beginPath();
          ctx.arc(_this.vx.button.add,_this.vy.button,_this.fontSize.button/2,0,Math.PI*2);
          ctx.arc(_this.vx.button.subtract,_this.vy.button,_this.fontSize.button/2,0,Math.PI*2);
          ctx.fill();
          ctx.font=['bold ',_this.fontSize.button*0.8,'px "inherit"'].join('');
          ctx.textAlign='center';
          ctx.textBaseline='middle';
          ctx.fillStyle=_this.colors.button.operator;
          ctx.fillText('＋',_this.vx.button.add,_this.vy.button);
          ctx.fillText('ー',_this.vx.button.subtract,_this.vy.button);
          ctx.setLineDash([_this.dash,_this.dash/4]);
          ctx.lineWidth=2;
          ctx.strokeStyle='#55f';
          ctx.beginPath();
          ctx.moveTo(0,_this.vy.dash);
          ctx.lineTo(Tonyu.globals.$screenWidth,_this.vy.dash);
          ctx.stroke();
          ['add','subtract'].forEach((function anonymous_3367(ope) {
            
            if (Tonyu.globals.$touches[0].touched==1&&_this.abs(Tonyu.globals.$touches[0].x-_this.vx.button[ope])<=_this.fontSize.button/2&&_this.abs(Tonyu.globals.$touches[0].y-_this.vy.button)<=_this.fontSize.button/2) {
              _this.data[key].sold+=(ope=='add'?1:- 1);
              
            }
          }));
        }));
        {
          _this.vy.name=Tonyu.globals.$screenHeight-(_this.fontSize.soldValue+_this.fontSize.name);
          _this.vy.price_tax=Tonyu.globals.$screenHeight-_this.fontSize.soldValue;
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='bottom';
          ctx.fillText('合計数：',_this.vx.text,_this.vy.name);
          ctx.fillStyle=_this.colors.numMain;
          ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
          ctx.textAlign='center';
          ctx.fillText([_this.total.sold].join(''),_this.vx.sold,_this.vy.name);
          ctx.fillStyle=_this.colors.main;
          ctx.font=[_this.fontSize.soldValue,'px \'inherit\''].join('');
          ctx.textAlign='right';
          ctx.textBaseline='bottom';
          ctx.fillText(['税込み売上(税抜き)：'].join(''),_this.vx.text,_this.vy.price_tax);
          ctx.textAlign='left';
          ctx.fillStyle=_this.colors.numMain;
          ctx.fillText([_this.formatCurrency(_this.total.amount_tax),'(',_this.formatCurrency(_this.total.amount),')円'].join(''),_this.vx.text,_this.vy.price_tax);
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"drawItems":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"ctx":{},"maxSold":{},"maxPrice":{},"data":{},"comp":{},"no1":{},"colors":{},"fontSize":{},"total":{},"vy":{},"taxTimes":{},"amount":{},"vx":{},"formatCurrency":{},"dash":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Draw_Menu',
  shortName: 'Draw_Menu',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Draw_Menu_main() {
        var _this=this;
        
        _this.ctx=Tonyu.globals.$panel.getContext();
      },
      fiber$main :function* _trc_Draw_Menu_f_main(_thread) {
        var _this=this;
        
        _this.ctx=Tonyu.globals.$panel.getContext();
        
      },
      drawMenu :function _trc_Draw_Menu_drawMenu(ctx,isOpen) {
        var _this=this;
        
        ctx.fillStyle=_this.colors.button.shape;
        ctx.fillRect(_this.vx.menu,_this.vy.menu,_this.menu.size.button,_this.menu.size.button);
        ctx.fillRect(_this.vx.menu-_this.menu.size.field,0,_this.menu.size.field,Tonyu.globals.$screenHeight);
        ctx.fillStyle=_this.colors.button.operator;
        for (_this.i=1; _this.i<4 ; _this.i++) {
          Tonyu.checkLoop();
          {
            ctx.fillRect(_this.vx.menu+(_this.menu.size.button/10),_this.vy.menu+(_this.menu.size.button/10*2*_this.i),_this.menu.size.button/10*8,_this.menu.size.button/10);
          }
        }
        ctx.fillStyle=_this.colors.button.operator;
        _this.menuX=_this.vx.menu-_this.menu.size.field;
        _this.menuY=Tonyu.globals.$screenHeight/10*8;
        ctx.fillRect(_this.menuX,_this.menuY,_this.menu.size.field,_this.fontSize.name*1.2);
        ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
        ctx.textAlign='center';
        ctx.textBaseline='top';
        ctx.fillStyle=_this.colors.button.shape;
        ctx.fillText(['商品を追加'].join(''),_this.menuX+_this.menu.size.field/2,_this.menuY+_this.fontSize.name*0.1);
        if (Tonyu.globals.$touches[0].touched==1) {
          if (_this.abs(Tonyu.globals.$touches[0].x-(_this.vx.menu+_this.menu.size.button/2))<=_this.menu.size.button/2&&_this.abs(Tonyu.globals.$touches[0].y-(_this.vy.menu+_this.menu.size.button/2))<=_this.menu.size.button/2) {
            _this.isMenuOpen=! isOpen;
            _this.vx.menu=_this.isMenuOpen?_this.menu.size.field:0;
            
          }
          if (Tonyu.globals.$touches[0].x<=_this.menu.size.field/2&&_this.abs(Tonyu.globals.$touches[0].y-(_this.menuY+_this.fontSize.name*1.2/2))<=_this.fontSize.name*1.2/2) {
            _this.newData.name=_this.waitInput("商品名",'商品名を入力してください');
            _this.newData.value=_this.waitInput('金額',[_this.newData.name,'の金額を入力してください'].join(''));
            _this.newData.tax=_this.waitInput('税率',[_this.newData.name,'の税率を入力してください。\n10%なら10、8%なら8です'].join(''));
            _this.newData.value=Number(_this.newData.value);
            _this.newData.tax=Number(_this.newData.tax);
            _this.isMenuOpen=! isOpen;
            _this.vx.menu=_this.isMenuOpen?_this.menu.size.field:0;
            _this.pushPos=Object.keys(_this.data).length;
            _this.data[_this.pushPos]=JSON.parse(JSON.stringify(_this.newData));
            _this.file('../statics/save/menu.txt').obj(_this.data);
            _this.newData={sold: 0,name: '',value: 0,tax: 0};
            
          }
          
        }
      },
      fiber$drawMenu :function* _trc_Draw_Menu_f_drawMenu(_thread,ctx,isOpen) {
        var _this=this;
        
        ctx.fillStyle=_this.colors.button.shape;
        ctx.fillRect(_this.vx.menu,_this.vy.menu,_this.menu.size.button,_this.menu.size.button);
        ctx.fillRect(_this.vx.menu-_this.menu.size.field,0,_this.menu.size.field,Tonyu.globals.$screenHeight);
        ctx.fillStyle=_this.colors.button.operator;
        for (_this.i=1; _this.i<4 ; _this.i++) {
          yield null;
          {
            ctx.fillRect(_this.vx.menu+(_this.menu.size.button/10),_this.vy.menu+(_this.menu.size.button/10*2*_this.i),_this.menu.size.button/10*8,_this.menu.size.button/10);
          }
        }
        ctx.fillStyle=_this.colors.button.operator;
        _this.menuX=_this.vx.menu-_this.menu.size.field;
        _this.menuY=Tonyu.globals.$screenHeight/10*8;
        ctx.fillRect(_this.menuX,_this.menuY,_this.menu.size.field,_this.fontSize.name*1.2);
        ctx.font=[_this.fontSize.name,'px \'inherit\''].join('');
        ctx.textAlign='center';
        ctx.textBaseline='top';
        ctx.fillStyle=_this.colors.button.shape;
        ctx.fillText(['商品を追加'].join(''),_this.menuX+_this.menu.size.field/2,_this.menuY+_this.fontSize.name*0.1);
        if (Tonyu.globals.$touches[0].touched==1) {
          if (_this.abs(Tonyu.globals.$touches[0].x-(_this.vx.menu+_this.menu.size.button/2))<=_this.menu.size.button/2&&_this.abs(Tonyu.globals.$touches[0].y-(_this.vy.menu+_this.menu.size.button/2))<=_this.menu.size.button/2) {
            _this.isMenuOpen=! isOpen;
            _this.vx.menu=_this.isMenuOpen?_this.menu.size.field:0;
            
          }
          if (Tonyu.globals.$touches[0].x<=_this.menu.size.field/2&&_this.abs(Tonyu.globals.$touches[0].y-(_this.menuY+_this.fontSize.name*1.2/2))<=_this.fontSize.name*1.2/2) {
            _this.newData.name=(yield* _this.fiber$waitInput(_thread, "商品名", '商品名を入力してください'));
            _this.newData.value=(yield* _this.fiber$waitInput(_thread, '金額', [_this.newData.name,'の金額を入力してください'].join('')));
            _this.newData.tax=(yield* _this.fiber$waitInput(_thread, '税率', [_this.newData.name,'の税率を入力してください。\n10%なら10、8%なら8です'].join('')));
            _this.newData.value=Number(_this.newData.value);
            _this.newData.tax=Number(_this.newData.tax);
            _this.isMenuOpen=! isOpen;
            _this.vx.menu=_this.isMenuOpen?_this.menu.size.field:0;
            _this.pushPos=Object.keys(_this.data).length;
            _this.data[_this.pushPos]=JSON.parse(JSON.stringify(_this.newData));
            _this.file('../statics/save/menu.txt').obj(_this.data);
            _this.newData={sold: 0,name: '',value: 0,tax: 0};
            
          }
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"drawMenu":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}}},"fields":{"ctx":{},"colors":{},"vx":{},"vy":{},"menu":{},"i":{},"menuX":{},"menuY":{},"fontSize":{},"isMenuOpen":{},"newData":{},"pushPos":{},"data":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Input',
  shortName: 'Input',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Input_main() {
        var _this=this;
        
      },
      fiber$main :function* _trc_Input_f_main(_thread) {
        var _this=this;
        
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [Tonyu.classes.user.Draw_Items,Tonyu.classes.user.Draw_Menu],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        var _this=this;
        
        Tonyu.globals.$Boot.autoReload=true;
        Tonyu.globals.$Boot.setFrameRate(30);
        Tonyu.globals.$Screen.resize(1080,1980);
        Tonyu.globals.$Screen.setBGColor('#cbb994');
        Tonyu.globals.$DateManager=new Tonyu.classes.user.DateManager();
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.data=_this.file('../statics/save/menu.txt').obj();
        _this.no1={sold: [],price: []};
        _this.fontSize={name: 60,time: 40};
        _this.fontSize.soldValue=_this.fontSize.name*0.8;
        _this.fontSize.button=_this.fontSize.name*1.5;
        _this.colors={main: '#3f312b',numMain: '#007bbb',numNo1: '#ea5506',dash: '#007bbb',button: {shape: '#e0ebaf',operator: '#726d40'}};
        _this.vx={text: Tonyu.globals.$screenWidth/2,sold: Tonyu.globals.$screenWidth/4*3,button: {},menu: 0};
        _this.vx.button.subtract=_this.vx.text+_this.fontSize.button;
        _this.vx.button.add=Tonyu.globals.$screenWidth-_this.fontSize.button;
        _this.vy={offset: _this.fontSize.name*3,menu: 0};
        _this.menu={size: {button: Tonyu.globals.$screenWidth/10,field: Tonyu.globals.$screenWidth/10*6}};
        _this.dash=50;
        _this.mode='draw';
        _this.isMenuOpen=false;
        _this.newData={sold: 0,name: '',value: 0,tax: 0};
        while (true) {
          Tonyu.checkLoop();
          switch (_this.mode) {
          case 'draw':
            _this.drawItems(_this.ctx);
            _this.drawMenu(_this.ctx,_this.isMenuOpen);
            break;
            
          case 'input':
            _this.input(_this.ctx);
            break;
            
          }
          _this.update();
          
        }
        ;
        
      },
      fiber$main :function* _trc_Main_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$Boot.autoReload=true;
        Tonyu.globals.$Boot.setFrameRate(30);
        Tonyu.globals.$Screen.resize(1080,1980);
        Tonyu.globals.$Screen.setBGColor('#cbb994');
        Tonyu.globals.$DateManager=new Tonyu.classes.user.DateManager();
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.data=_this.file('../statics/save/menu.txt').obj();
        _this.no1={sold: [],price: []};
        _this.fontSize={name: 60,time: 40};
        _this.fontSize.soldValue=_this.fontSize.name*0.8;
        _this.fontSize.button=_this.fontSize.name*1.5;
        _this.colors={main: '#3f312b',numMain: '#007bbb',numNo1: '#ea5506',dash: '#007bbb',button: {shape: '#e0ebaf',operator: '#726d40'}};
        _this.vx={text: Tonyu.globals.$screenWidth/2,sold: Tonyu.globals.$screenWidth/4*3,button: {},menu: 0};
        _this.vx.button.subtract=_this.vx.text+_this.fontSize.button;
        _this.vx.button.add=Tonyu.globals.$screenWidth-_this.fontSize.button;
        _this.vy={offset: _this.fontSize.name*3,menu: 0};
        _this.menu={size: {button: Tonyu.globals.$screenWidth/10,field: Tonyu.globals.$screenWidth/10*6}};
        _this.dash=50;
        _this.mode='draw';
        _this.isMenuOpen=false;
        _this.newData={sold: 0,name: '',value: 0,tax: 0};
        while (true) {
          yield null;
          switch (_this.mode) {
          case 'draw':
            (yield* _this.fiber$drawItems(_thread, _this.ctx));
            (yield* _this.fiber$drawMenu(_thread, _this.ctx, _this.isMenuOpen));
            break;
            
          case 'input':
            _this.input(_this.ctx);
            break;
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        ;
        
        
      },
      formatCurrency :function _trc_Main_formatCurrency(amount) {
        var _this=this;
        
        return String(amount.toLocaleString('en-US')).padStart(6);
      },
      fiber$formatCurrency :function* _trc_Main_f_formatCurrency(_thread,amount) {
        var _this=this;
        
        return String(amount.toLocaleString('en-US')).padStart(6);
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"formatCurrency":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"mode":{},"input":{}}}
});

});

//# sourceMappingURL=concat.js.map